summaryrefslogtreecommitdiffstats
path: root/source/l/libglade
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libglade')
-rwxr-xr-xsource/l/libglade/libglade.SlackBuild32
-rw-r--r--source/l/libglade/slack-desc10
2 files changed, 25 insertions, 17 deletions
diff --git a/source/l/libglade/libglade.SlackBuild b/source/l/libglade/libglade.SlackBuild
index 3b8d5d401..9b6912a0b 100755
--- a/source/l/libglade/libglade.SlackBuild
+++ b/source/l/libglade/libglade.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,28 +20,37 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=libglade
VERSION=${VERSION:-$(echo libglade-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-6}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-libglade
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -77,15 +86,14 @@ CFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
# Hello! --enable-static=no seemed to mean something when ./configure ran...
rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libglade*.a
-## [make that, we _wish_ these .la files _could_ go]
-## These .la files can go.
-#rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libglade*.la
-
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/l/libglade/slack-desc b/source/l/libglade/slack-desc
index 0cd2cc418..4969d7029 100644
--- a/source/l/libglade/slack-desc
+++ b/source/l/libglade/slack-desc
@@ -1,16 +1,16 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
libglade: libglade (GLADE library)
libglade:
libglade: The GLADE library allows loading user interfaces which are stored
-libglade: externally into a program. This allows the interface to be changed
-libglade: without recompiling the program. The interfaces can also be edited
+libglade: externally into a program. This allows the interface to be changed
+libglade: without recompiling the program. The interfaces can also be edited
libglade: with GLADE.
libglade:
libglade: